/*
 * Least Cost Routing plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __LCRCFG_H
#define __LCRCFG_H

#include <vdr/i18n.h>

#ifdef LCR_DEBUG
#define Dprintf(x...) printf(x);
#else
#define Dprintf(x...) ;
#endif

#define NUMBER_ENTRIES 34

// if you change the order/number of these entries be sure to do the same with the array bolow this one
// and don't forget the number in lcr.c!
static const char * destinationNames[]= {
                                trNOOP("City"),
                                trNOOP("Near"),
                                trNOOP("National"),
                                trNOOP("D1-Net"),
                                trNOOP("D2-Net"),
                                trNOOP("E-plus-Net"),
                                trNOOP("O2-Net"),
                                trNOOP("Australia"),
                                trNOOP("Belgium"),
                                trNOOP("Bulgary"),
                                trNOOP("Danmark"),
                                trNOOP("Estonia"),
                                trNOOP("France"),
                                trNOOP("Greece"),
                                trNOOP("Great Britain"),
                                trNOOP("Italy"),
                                trNOOP("Canada"),
                                trNOOP("Latvia"),
                                trNOOP("Lithuania"),
                                trNOOP("Malta"),
                                trNOOP("Netherlands"),
                                trNOOP("Austria"),
                                trNOOP("Poland"),
                                trNOOP("Romania"),
                                trNOOP("Sweden"),
                                trNOOP("Switzerland"),
                                trNOOP("Slovakia"),
                                trNOOP("Slovenia"),
                                trNOOP("Spain"),
                                trNOOP("Czech Republic"),
                                trNOOP("Turkey"),
                                trNOOP("Hungary"),
                                trNOOP("USA (main)"),
                                trNOOP("Cyprus (greek)")
                  };

// if you change the order/number of these entries be sure to do the same with the array beyond this one
// and don't forget the number in lcr.c!
static const char * destinationUrlNames[]= {
                                "Ortsgesprch",
                                "Nahgesprch",
                                "Fern",
                                "D1-Netz",
                                "D2-Netz",
                                "E-plus-Netz",
                                "O2-Netz",
                                "Australien",
                                "Belgien",
                                "Bulgarien",
                                "Dnemark",
                                "Estland",
                                "Frankreich",
                                "Griechenland",
                                "Grobritannien",
                                "Italien",
                                "Kanada",
                                "Lettland",
                                "Litauen",
                                "Malta",
                                "Niederlande",
                                "sterreich",
                                "Polen",
                                "Rumnien",
                                "Schweden",
                                "Schweiz",
                                "Slowakei",
                                "Slowenien",
                                "Spanien",
                                "Tschechische Republik",
                                "Trkei",
                                "Ungarn",
                                "USA (haupt)",
                                "Zypern (griechisch)"
                  };

struct cLcrConfig
{
public:
    cLcrConfig(void);
    int hidemenu;
    int theme;
    int preferredEntry;
    int otherDisplays;
    int highlightEntry;
    int updateinterval;
    int osdheight;
    int osdoffsetX;
    int osdoffsetY;
    int zoomIn;
    int logoFrame;
    int destination[10];
};

extern cLcrConfig lcrConfig;

enum eLcrThemes
{
    eLcrThemeClassic,
    eLcrThemeElchi,
    eLcrThemeDeepBlue,
    eLcrThemeMoronimo,
    eLcrThemeMaxNumber
};

struct cLcrTheme
{
    int clrBackground;
    int clrTitleBackground;
    int clrTitleText;
    int clrActiveText;
    int clrInactiveText;
    int clrRed;
    int clrYellow;
    int clrGreen;
};

extern const cLcrTheme lcrTheme[eLcrThemeMaxNumber];
extern char *ScriptName;

#endif // __LCRCFG_H
